Skip to Content
API ReferenceGoogle SERP

Google SERP

Google Search, News, Trends, Finance, and Shopping data via structured API.

  • Search: Web search results with pagination
  • News: Google News articles
  • Trends: Trending search results and related queries
  • Finance: Financial SERP results for stock tickers
  • Shopping: Product listings with ratings and pricing

GET /google/search — 2 credits

Search Google and get structured results.

ParamTypeRequiredDefaultDescription
qstringYesSearch query
numintegerNo10Number of results
languagestringNoenLanguage code
countrystringNousCountry code
pageintegerNo1Page number
curl -H "x-api-key: sk_oms_xxx" \ "https://api.omniscrape.dev/google/search?q=openai&num=5"

Response

{ "query": "openai", "organic": [ { "title": "OpenAI", "link": "https://openai.com/", "snippet": "OpenAI is an AI research and deployment company...", "position": 1, "sitelinks": [] } ], "answerBox": null, "knowledgeGraph": null, "peopleAlsoAsk": [], "relatedSearches": [] }

News

GET /google/news — 2 credits

Get Google News results for a query.

ParamTypeRequiredDefaultDescription
qstringYesSearch query
languagestringNoenLanguage code
countrystringNousCountry code
curl -H "x-api-key: sk_oms_xxx" \ "https://api.omniscrape.dev/google/news?q=artificial+intelligence"

Response

{ "query": "artificial intelligence", "news": [ { "title": "AI Breakthrough in 2026...", "link": "https://example.com/article", "snippet": "A major breakthrough in artificial intelligence...", "source": "TechCrunch", "date": "2 hours ago", "imageUrl": "https://..." } ] }

GET /google/trends — 2 credits

Get Google Trends data for a query.

ParamTypeRequiredDefaultDescription
qstringYesSearch query
timeframestringNotoday 12-mTime range (e.g. today 12-m, today 3-m)
geostringNoGeographic region (e.g. US, GB)
categoryintegerNo0Category ID
curl -H "x-api-key: sk_oms_xxx" \ "https://api.omniscrape.dev/google/trends?q=chatgpt&timeframe=today+3-m&geo=US"

Response

{ "query": "chatgpt", "timeframe": "today 3-m", "geo": "US", "category": 0, "knowledgeGraph": null, "organic": [ { "title": "ChatGPT", "link": "https://chatgpt.com/", "snippet": "ChatGPT helps you get answers...", "position": 1 } ], "relatedSearches": [ { "query": "chatgpt login" }, { "query": "chatgpt alternative" } ] }

Finance

GET /google/finance — 2 credits

Get Google Finance SERP results for a stock ticker.

ParamTypeRequiredDefaultDescription
tickerstringYesStock ticker symbol (e.g. AAPL, GOOGL)
curl -H "x-api-key: sk_oms_xxx" \ "https://api.omniscrape.dev/google/finance?ticker=AAPL"

Response

{ "ticker": "AAPL", "answerBox": { "title": "Apple Inc (AAPL) Stock Price", "answer": "$178.52", "source": "Google Finance" }, "knowledgeGraph": null, "organic": [ { "title": "Apple Inc (AAPL) Stock Price, News, Quote & History", "link": "https://finance.yahoo.com/quote/AAPL/", "snippet": "Find the latest Apple Inc (AAPL) stock quote...", "position": 1 } ] }

Shopping

GET /google/shopping — 2 credits

Search Google Shopping for products.

ParamTypeRequiredDefaultDescription
qstringYesSearch query
numintegerNo20Number of results
min_pricenumberNoMinimum price filter
max_pricenumberNoMaximum price filter
countrystringNousCountry code
curl -H "x-api-key: sk_oms_xxx" \ "https://api.omniscrape.dev/google/shopping?q=mechanical+keyboard&num=10&country=us"

Response

{ "query": "mechanical keyboard", "shopping": [ { "title": "Keychron K2 Wireless Mechanical Keyboard", "price": "$89.99", "source": "Amazon", "link": "https://...", "imageUrl": "https://...", "rating": 4.5, "ratingCount": 1234, "productId": "abc123", "position": 1 } ] }
Last updated on